# samples/11_camera_object_identification/camera_caffe_main.h File Reference

`#include <iostream>`
`#include <fstream>`
`#include <queue>`
`#include <unistd.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <dlfcn.h>`
`#include "Error.h"`
`#include "Thread.h"`
`#include <Argus/Argus.h>`
`#include <EGLStream/EGLStream.h>`
`#include <EGLStream/NV/ImageNativeBuffer.h>`
`#include "NvVideoConverter.h"`
`#include <NvApplicationProfiler.h>`
`#include "opencv_consumer_interface.h"`

Go to the source code of this file.

## Classes

struct | _camera_caffe_context_t

## Defines

#define | FRAME_CONVERTER_BUF_NUMBER (10)

## Typedefs

typedef struct _camera_caffe_context_t | camera_caffe_context

## Functions

int | parse_csv_args (camera_caffe_context *p_ctx, int argc, const char *argv[])

## Define Documentation

#define FRAME_CONVERTER_BUF_NUMBER (10)

Definition at line 53 of file camera_caffe_main.h.

## Typedef Documentation

typedef struct _camera_caffe_context_t camera_caffe_context

## Function Documentation

int parse_csv_args | ( | camera_caffe_context * | p_ctx,
|  | int | argc,
|  | const char * | argv[] |
| ) |  |  |

Definition at line 72 of file camera_caffe_csvparser.cpp.